*,
*::before,
*::after {
	box-sizing: border-box;
}

:root {
	--accent: oklch(70.977% 0.19318 44.533);
}

input:not([type=submit], [type=checkbox]),
textarea {
	display: block;
	width: 100%;
	max-width: 40rem;
	padding: .75em;
	border: 1px solid #666;
	border-radius: .3rem;
}

input[type=submit] {
	display: flex;
	padding: 1rem 2rem;
	font-size: 1.2em;
}

input[type=checkbox] {
	accent-color: var(--accent);
	width: 20px;
	height: 20px;

	margin-block: auto;
}

label {
	display: flex;
	justify-content: space-between;
	margin: 0;
	margin-block-start: 1rem;
	max-width: 10rem;

	font-weight: bold;
}

.message {
	display: block;
	padding-block: 0.5rem 1rem;
	font-size: 1.2rem;
}

.message.error {
	color: #b90e0a;
}

.columns2 {
	display: flex;
	flex-direction: column;
	margin-block-start: 1rem;
}

.rows2 {
	display: flex;
	flex-direction: column;
	margin-block-start: 1rem;
	max-width: 40rem;

	margin-block-end: 3rem;
}

.cards p {
	margin-block-start: 0;
}

fieldset {
	display: flex;
	flex-direction: column;

	padding: 0;
	margin: 1rem;
	border: none;

	label {
		margin-inline-start: 1rem;
		font-weight: normal;
	}
}

legend {
	font-weight: bold;
	font-size: 1.2em;
}

messages>li {
	margin-block: 1rem;
}

@media (min-width: 65rem) {
	.container>.columns2 {
		flex-direction: row-reverse;
		justify-content: space-around;
		gap: 2rem;

		>div {
			width: 50%;
		}
	}

	.rows2 {
		flex-direction: row;
	}

	input[type=submit] {
		margin: auto 1rem 1rem auto;
	}

	.--narrow {
		max-width: 85rem;
	}
}